de.esprit.common.util

## Enum OsByteOrder

- java.lang.Object
- - java.lang.Enum<OsByteOrder>
  - - de.esprit.common.util.OsByteOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OsByteOrder>

      public enum OsByteOrder
      extends java.lang.Enum<OsByteOrder>
      implements java.io.Serializable

  This enum defines the byte order for representation of an integer value.
  - BIG_ENDIAN: high byte stored first
  - LITTLE_ENDIAN: low byte stored first
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIG_ENDIAN`
    `LITTLE_ENDIAN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OsByteOrder` | `fromByteOrder(java.nio.ByteOrder order)`
    `java.nio.ByteOrder` | `getByteOrder()`
    `boolean` | `isBigEndian()`
    `boolean` | `isLittleEndian()`
    `static OsByteOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OsByteOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIG_ENDIAN

          public static final OsByteOrder BIG_ENDIAN

    - #### LITTLE_ENDIAN

          public static final OsByteOrder LITTLE_ENDIAN

  - ### Method Detail

    - #### values

          public static OsByteOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OsByteOrder c : OsByteOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OsByteOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromByteOrder

          public static OsByteOrder fromByteOrder(java.nio.ByteOrder order)

    - #### getByteOrder

          public java.nio.ByteOrder getByteOrder()

    - #### isLittleEndian

          public boolean isLittleEndian()

    - #### isBigEndian

          public boolean isBigEndian()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.